//
//  TestData.m
//  ObjC-Test
//
//  Created by Felix Rohrer on 15.03.13.
//  Copyright (c) 2013 Felix Rohrer. All rights reserved.
//

#import "TestData.h"

@implementation TestData

- (id) init {
    if (self = [super init]) {
        self.array = [[NSArray alloc] initWithObjects: @"", nil];
        
        [self.array release];
    }
    return self;
}

- (void) dealloc {
    self.array = nil;  //rC sollte damit 0 werden und nil vermeidet „Bad Access“
    
    NSLog(@"retain count: %d", [self.array retainCount]);
    
    [super dealloc];
}

- (void) doThisRequiredThing {
    //do nothing
}

@end
